Debian Bug report logs - #268744
nmh: pick(1) Has Trouble with Multi-Line Subjects.

version graph

Package: nmh; Maintainer for nmh is Nick Rusnov <nickrusnov@debian.org>; Source for nmh is src:nmh.

Reported by: Ralph Corderoy <ralph@inputplus.co.uk>

Date: Sat, 28 Aug 2004 21:48:08 UTC

Severity: minor

Tags: fixed-upstream

Found in version 1.0.4+dev-20010317-1

Fixed in version nmh/1.5-release-3

Done: Alexander Zangerl <az@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.nongnu.org/bugs/index.php?func=detailitem&item_id=15215

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nick Rusnov <nickrusnov@debian.org>:
Bug#268744; Package nmh. Full text and rfc822 format available.

Acknowledgement sent to Ralph Corderoy <ralph@inputplus.co.uk>:
New Bug report received and forwarded. Copy sent to Nick Rusnov <nickrusnov@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralph Corderoy <ralph@inputplus.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nmh: pick(1) Has Trouble with Multi-Line Subjects.
Date: Sat, 28 Aug 2004 22:43:06 +0100
Package: nmh
Version: 1.0.4+dev-20010317-1
Severity: normal
File: /usr/bin/mh/pick

pick(1) says

    Pattern matching is performed on a per-line basis.  Within the
    header of the message, each component is treated as one long line,
    but in the body, each line is separate. Lower-case letters in the
    search pattern will match either lower or upper case in the message,
    while upper case will match only upper case.

yet I can't match the split line in a long subject.

    $ scan -format '%{subject}\n'  
    foo bar
    $ scan -format '%{subject}\n' | od -c
    0000000   f   o   o       b   a   r  \n
    0000010
    $ grep -1 '^Subject' `mhpath 1`
    To: ralph@inputplus.co.uk
    Subject: foo
     bar
    $ pick -sub foo  
    1
    $ pick -sub bar
    1
    $ pick -sub 'foo bar'
    pick: no messages match specification
    $ pick -sub 'foo.bar'
    pick: no messages match specification
    $ pick -sub 'foo^Mbar'
    pick: no messages match specification
    $ pick -sub 'foo
    bar'
    pick: no messages match specification
    $ pick -sub 'foo
     bar'
    pick: no messages match specification

I can find `foo' or `bar' so the subject is being treated as one long
line, as the man page says, but what are the lines being joined with?
The search clearly works across both lines since these two both work.

    $ pick -sub 'f.*o'
    1
    $ pick -sub 'f.*r'
    1

I'd expect it to be a space unless the man page says otherwise.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux dayna 2.4.18-dayna.2.6 #1 Sun Jul 4 11:06:01 BST 2004 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages nmh depends on:
ii  base-files                  3.0.2        Debian base system miscellaneous f
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  liblockfile1                1.03         NFS-safe locking library, includes
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  libsasl7                    1.5.27-3     Authentication abstraction library
ii  netbase                     4.07         Basic TCP/IP networking system




Information forwarded to debian-bugs-dist@lists.debian.org, Nick Rusnov <nickrusnov@debian.org>:
Bug#268744; Package nmh. Full text and rfc822 format available.

Acknowledgement sent to Harald Geyer <Harald.Geyer@gmx.at>:
Extra info received and forwarded to list. Copy sent to Nick Rusnov <nickrusnov@debian.org>. Full text and rfc822 format available.

Message #10 received at 268744@bugs.debian.org (full text, mbox):

From: Harald Geyer <Harald.Geyer@gmx.at>
To: 268744@bugs.debian.org, ralph@inputplus.co.uk, control@bugs.debian.org
Subject: nmh: pick: Handling of Multi-Line Subjects
Date: Thu, 23 Sep 2004 12:06:59 +0200
severity 268744 minor
stop

Hi!

I tried pick on the following file:

---
To: ralph@inputplus.co.uk
Subject: foo
 bar

Test.
---

$ pick -sub 'foo..bar'
1
$ pick -sub 'foo  bar'
1

Then adding a second space in front of "bar":

$ pick -sub 'foo..bar'
pick: no messages match specification
$ pick -sub 'foo  bar'
pick: no messages match specification
$ pick -sub 'foo...bar'
1
$ pick -sub 'foo   bar'
1

Obviously lines are joined by one space, but all other whitespace
is preserved. This is bad, because the indentation can be any number
of spaces and/or tabs IIRC.

However almost always exactly one character is used. Also it is easy to
write some general regexp, if needed. I set the severity of this bug
to minor, as it is really easy to workaround.

Harald




Severity set to `minor'. Request was from Harald Geyer <Harald.Geyer@gmx.at> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://savannah.nongnu.org/bugs/index.php?func=detailitem&item_id=15215. Request was from pmaydell@chiark.greenend.org.uk to control@bugs.debian.org. Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 26 Nov 2012 16:45:11 GMT) Full text and rfc822 format available.

Reply sent to Alexander Zangerl <az@debian.org>:
You have taken responsibility. (Mon, 16 Sep 2013 03:06:08 GMT) Full text and rfc822 format available.

Notification sent to Ralph Corderoy <ralph@inputplus.co.uk>:
Bug acknowledged by developer. (Mon, 16 Sep 2013 03:06:08 GMT) Full text and rfc822 format available.

Message #21 received at 268744-close@bugs.debian.org (full text, mbox):

From: Alexander Zangerl <az@debian.org>
To: 268744-close@bugs.debian.org
Subject: Bug#268744: fixed in nmh 1.5-release-3
Date: Mon, 16 Sep 2013 03:04:00 +0000
Source: nmh
Source-Version: 1.5-release-3

We believe that the bug you reported is fixed in the latest version of
nmh, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 268744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Zangerl <az@debian.org> (supplier of updated nmh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 16 Sep 2013 12:16:29 +1000
Source: nmh
Binary: nmh
Architecture: source amd64
Version: 1.5-release-3
Distribution: unstable
Urgency: low
Maintainer: Nick Rusnov <nickrusnov@debian.org>
Changed-By: Alexander Zangerl <az@debian.org>
Description: 
 nmh        - set of electronic mail handling programs
Closes: 74889 268744 425650 425651 669624
Changes: 
 nmh (1.5-release-3) unstable; urgency=low
 .
   * changed to 3.0 quilt source format (closes: #669624)
   * reviewed some ancient bug reports
     (closes:  #268744, #425650, #425651, #74889)
Checksums-Sha1: 
 231640715ee57068d36483d135dd47f4af6fc56a 1191 nmh_1.5-release-3.dsc
 59cfb9de59506b677ab147f09e6477a7d1401ea9 19464 nmh_1.5-release-3.debian.tar.gz
 d10ea1eba07ae32e5c9391f489f2624eb6ff7d99 2538110 nmh_1.5-release-3_amd64.deb
Checksums-Sha256: 
 4fc966a1a03a50f6840caa9934302cb7a390db04d4e0fdb2b6e39f56bf604fc5 1191 nmh_1.5-release-3.dsc
 3260deb8f6fbbbdd4f3c8f85634384e7a1fc64dfa30ef2361829e6b0ce6171a1 19464 nmh_1.5-release-3.debian.tar.gz
 8f702804b79232c1482b5b4911b98ded42caf6f090c861f4d11fe415c7a6bdd4 2538110 nmh_1.5-release-3_amd64.deb
Files: 
 9cdd0f3ebad318427cf7d39d47a85538 1191 mail optional nmh_1.5-release-3.dsc
 32de991c848e8c2b04649d6ee469361a 19464 mail optional nmh_1.5-release-3.debian.tar.gz
 da768df7774bb0078d46e6039570dd95 2538110 mail optional nmh_1.5-release-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iF4EAREIAAYFAlI2cEAACgkQ+bKELRvb2DxrLgD/Qv3v9fcZrX+Ft9E34zd6vboC
rXaT7QzGbPQpHk+aFKQA/01xcyRM69uou5pfNlb6ntgh5bR4JegUY+HOPznMVcJf
=3LHu
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Oct 2013 07:29:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:33:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.